Package org.eclipse.rdf4j.repository.contextaware.config

## Class ContextAwareConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
  - - org.eclipse.rdf4j.repository.config.AbstractDelegatingRepositoryImplConfig
    - - org.eclipse.rdf4j.repository.contextaware.config.ContextAwareConfig

- All Implemented Interfaces:
    `DelegatingRepositoryImplConfig`, `RepositoryImplConfig`

      public class ContextAwareConfig
      extends AbstractDelegatingRepositoryImplConfig

  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextAwareConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model model)` | Export this `RepositoryImplConfig` to its RDF representation
    `IRI[]` | `getAddContexts()` | Deprecated.
    `IRI[]` | `getArchiveContexts()` | Deprecated.
    `String` | `getBaseURI()` |
    `IRI` | `getInsertContext()` |
    `int` | `getMaxQueryTime()` |
    `QueryLanguage` | `getQueryLanguage()` |
    `IRI[]` | `getReadContexts()` |
    `IRI[]` | `getRemoveContexts()` |
    `boolean` | `isIncludeInferred()` |
    `void` | `parse​(Model model, Resource resource)` | Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `setAddContexts​(IRI... addContexts)` | Deprecated.
    `void` | `setArchiveContexts​(IRI... archiveContexts)` | Deprecated.
    `void` | `setBaseURI​(String baseURI)` |
    `void` | `setIncludeInferred​(boolean includeInferred)` |
    `void` | `setInsertContext​(IRI insertContext)` |
    `void` | `setMaxQueryTime​(int maxQueryTime)` |
    `void` | `setQueryLanguage​(QueryLanguage ql)` |
    `void` | `setReadContexts​(IRI... readContexts)` |
    `void` | `setRemoveContexts​(IRI... removeContexts)` |

    - ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractDelegatingRepositoryImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

      `create, getType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.config.RepositoryImplConfig

      `getType`

- - ### Constructor Detail

    - #### ContextAwareConfig

          public ContextAwareConfig()

  - ### Method Detail

    - #### getMaxQueryTime

          public int getMaxQueryTime()

    - #### setMaxQueryTime

          public void setMaxQueryTime​(int maxQueryTime)

    - #### getAddContexts

          @Deprecated
          public IRI[] getAddContexts()

      Deprecated.
      See Also:
        `ContextAwareConnection.getAddContexts()`

    - #### getArchiveContexts

          @Deprecated
          public IRI[] getArchiveContexts()

      Deprecated.
      See Also:
        `ContextAwareConnection.getArchiveContexts()`

    - #### getInsertContext

          public IRI getInsertContext()

      See Also:
        `ContextAwareConnection.getInsertContext()`

    - #### getQueryLanguage

          public QueryLanguage getQueryLanguage()

      See Also:
        `ContextAwareConnection.getQueryLanguage()`

    - #### getBaseURI

          public String getBaseURI()

      Returns:
        Returns the default baseURI.

    - #### getReadContexts

          public IRI[] getReadContexts()

      See Also:
        `ContextAwareConnection.getReadContexts()`

    - #### getRemoveContexts

          public IRI[] getRemoveContexts()

      See Also:
        `ContextAwareConnection.getRemoveContexts()`

    - #### isIncludeInferred

          public boolean isIncludeInferred()

      See Also:
        `ContextAwareConnection.isIncludeInferred()`

    - #### setAddContexts

          @Deprecated
          public void setAddContexts​(IRI... addContexts)

      Deprecated.
      See Also:
        `ContextAwareConnection.setAddContexts(IRI[])`

    - #### setArchiveContexts

          @Deprecated
          public void setArchiveContexts​(IRI... archiveContexts)

      Deprecated.
      See Also:
        `ContextAwareConnection.setArchiveContexts(IRI[])`

    - #### setInsertContext

          public void setInsertContext​(IRI insertContext)

      See Also:
        `ContextAwareConnection.setInsertContext(IRI)`

    - #### setIncludeInferred

          public void setIncludeInferred​(boolean includeInferred)

      See Also:
        `ContextAwareConnection.setIncludeInferred(boolean)`

    - #### setQueryLanguage

          public void setQueryLanguage​(QueryLanguage ql)

      See Also:
        `ContextAwareConnection.setQueryLanguage(QueryLanguage)`

    - #### setBaseURI

          public void setBaseURI​(String baseURI)

      Parameters:
        `baseURI` - The default baseURI to set.

    - #### setReadContexts

          public void setReadContexts​(IRI... readContexts)

      See Also:
        `ContextAwareConnection.setReadContexts(IRI[])`

    - #### setRemoveContexts

          public void setRemoveContexts​(IRI... removeContexts)

      See Also:
        `ContextAwareConnection.setRemoveContexts(IRI[])`

    - #### export

          public Resource export​(Model model)

      Description copied from interface: `RepositoryImplConfig`
      Export this `RepositoryImplConfig` to its RDF representation
      Specified by:
        `export` in interface `RepositoryImplConfig`
      Overrides:
        `export` in class `AbstractDelegatingRepositoryImplConfig`
      Parameters:
        `model` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          public void parse​(Model model,
                            Resource resource)
                     throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Specified by:
        `parse` in interface `RepositoryImplConfig`
      Overrides:
        `parse` in class `AbstractDelegatingRepositoryImplConfig`
      Parameters:
        `model` - a `Model` containing repository configuration data.
        `resource` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.